Modify

Opened 3 months ago

Closed 3 months ago

Last modified 3 months ago

#16423 closed defect (fixed)

Error in internal mapcss validation rule

Reported by: naoliv Owned by: team
Priority: normal Milestone: 18.06
Component: Core validator Version:
Keywords: regression Cc:

Description

It seems to be happening in some internal rule:

2018-06-25 08:35:10.538 FINE: Adding resource://data/validator/addresses.mapcss to tag checker
2018-06-25 08:35:10.545 FINE: Adding resource://data/validator/combinations.mapcss to tag checker
2018-06-25 08:35:10.551 SEVERE: Skipping to the next rule, because of an error:
2018-06-25 08:35:10.552 SEVERE: org.openstreetmap.josm.gui.mappaint.mapcss.parsergen.ParseException: Encountered " <IDENT> "way "" at line 222, column 1.
Was expecting one of:
    "," ...
    <S> ...
    "/*" ...
org.openstreetmap.josm.gui.mappaint.mapcss.parsergen.ParseException: Encountered " <IDENT> "way "" at line 222, column 1.
Was expecting one of:
    "," ...
    <S> ...
    "/*" ...
    
	at org.openstreetmap.josm.gui.mappaint.mapcss.parsergen.MapCSSParser.error_skipto(MapCSSParser.java:2146)
	at org.openstreetmap.josm.gui.mappaint.mapcss.parsergen.MapCSSParser.sheet(MapCSSParser.java:894)
	at org.openstreetmap.josm.data.validation.tests.MapCSSTagChecker$TagCheck.readMapCSS(MapCSSTagChecker.java:375)
	at org.openstreetmap.josm.data.validation.tests.MapCSSTagChecker.addMapCSS(MapCSSTagChecker.java:735)
	at org.openstreetmap.josm.data.validation.tests.MapCSSTagChecker.initialize(MapCSSTagChecker.java:762)
	at org.openstreetmap.josm.data.validation.OsmValidator.initializeTests(OsmValidator.java:401)
	at org.openstreetmap.josm.data.validation.OsmValidator.initializeTests(OsmValidator.java:384)
	at java.base/java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:514)
	at java.base/java.util.concurrent.FutureTask.run(FutureTask.java:264)
	at java.base/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1135)
	at java.base/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:635)
	at java.base/java.lang.Thread.run(Thread.java:844)

2018-06-25 08:35:10.562 FINE: Adding resource://data/validator/deprecated.mapcss to tag checker
2018-06-25 08:35:10.577 FINE: Adding resource://data/validator/geometry.mapcss to tag checker

JOSM:

Relative:URL: ^/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2018-06-24 19:57:43 +0200 (Sun, 24 Jun 2018)
Revision:13974
Build-Date:2018-06-24 18:08:53
URL:https://josm.openstreetmap.de/svn/trunk

Identification: JOSM/1.5 (13974 en) Linux Debian GNU/Linux testing (buster)
Memory Usage: 832 MB / 7168 MB (403 MB allocated, but free)
Java version: 10.0.1+10-Debian-4, Oracle Corporation, OpenJDK 64-Bit Server VM
Screen: :0.0 1600x900, :0.1 1280x1024
Maximum Screen Size: 1600x1024
Java package: openjdk-10-jre:amd64-10.0.1+10-4
Java ATK Wrapper package: libatk-wrapper-java:all-0.33.3-21
VM arguments: [--add-modules=java.activation,java.se.ee, -Dawt.useSystemAAFontSettings=gasp]
Program arguments: [--language=en, --debug]

Attachments (0)

Change History (3)

comment:1 Changed 3 months ago by Klumbumbus

Keywords: regression added
Milestone: 18.06

comment:2 Changed 3 months ago by Klumbumbus

Resolution: fixed
Status: newclosed

In 13975/josm:

fix #16423, see #16147 - fix mapcss rule

comment:3 Changed 3 months ago by Don-vip

Oops. Thanks.

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.